.algolia-search-icon {
  width: fit-content;
  margin-left: auto;
  position: absolute;
  padding-right: 1rem;
  top: 50%;
  right: -7rem;
  transform: translateY(-58%)
}

.algolia-search-icon button {
  min-height: 3rem;
  min-width: 4rem;
  background: none;
  border: none;
}

.algolia-search-icon svg {
  width: 3.2rem;
  height: 3.2rem;
  max-width: 100%;
  height: auto;
  /* Optional */
  display: block;
}

.algolia-search-main-nav .close-svg > svg path,
.algolia-search-icon .algolia-search-button > svg path {
  fill: var(--color-primary-white);
}

.algolia-search-main-nav {
  width: 100vw;
  overflow: hidden;
}

.algolia-search-main-nav-wrapper {
  width: 100%;
  margin-inline: auto;
  position: fixed;
  top: var(--topOffset);
}


.algolia-search-modal {
  overflow: hidden;
  height: fit-content;
  width: 100vw;
  margin-inline: 0;
  position: fixed;
  top: -28rem;
  border: none;
}

.algolia-search-modal[open]{
  animation: showSearchmodal 0.3s ease-in-out;
}

.algolia-search-modal::backdrop{
  background: rgba(0, 0, 0, 0.3);
}

@keyframes showSearchmodal {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}


.algolia-search-main-nav-wrapper > button {
  height: fit-content;
  width: fit-content;
  position: absolute;
  right: 4rem;
  background: none;
  border: none;
}

.algolia-search-main-nav .ais-RefinementList {
  background: none;

}

.algolia-search-main-nav .ais-RefinementList-item.main-nav .ais-RefinementList-labelText {
  text-transform: capitalize;
}

.algolia-search-main-nav .ais-SearchBox-form {
  display: flex;
  margin-inline: auto;
  max-width: 75rem;
  padding-block: 2rem;
}

.algolia-search-main-nav .ais-SearchBox {
  background: rgba(255, 255, 255, 0.8);
}

.algolia-search-main-nav #main-nav-searchbox input {
  height: 6rem;
  font-size: 2.4rem;
  padding-left: 5rem;
  max-width: var(--content-width-normal);
  margin-inline: auto;
  outline: var(--color-figcaption) solid 1px;

}

.algolia-search-main-nav #main-nav-searchbo input:focus {
  outline: var(--color-figcaption) solid 2px;
}

.algolia-search-main-nav .ais-SearchBox-submit {
  left: 1.3rem;
}

.algolia-search-main-nav .ais-SearchBox-reset {
  right: 2.3rem;
}

.algolia-search-main-nav .main-nav-results-body {
  max-width: 75rem;
  margin: 0 auto 4rem auto;
  transform: translateY(-1rem);
}

.algolia-search-main-nav .ais-Hits-item {
  width: 100%;
  border: none;
  box-shadow: none;
  background: none;
  margin-top: 0;
  list-style: none;
  padding-left: 4rem;
  border-bottom: 1px solid var(--color-primary-blue);
  background: var(--color-primary-white);
}

.algolia-search-main-nav .ais-Hits-item h3 {
  margin-bottom: 0;
}

.ais-RefinementList-item.main-nav .ais-RefinementList-labelText {
  font-size: 2rem;
  font-weight: 600;

}

.algolia-search-main-nav .ais-Hits-item:hover > a {
  text-decoration: underline;
}

.algolia-search-main-nav .ais-Hits-item > a {
  text-decoration: none;
}

.algolia-search-main-nav .ais-Hits-item > a h3 .content-type {
  color: var(--color-primary-red);
  font-weight: 600;
  text-transform: uppercase;
}

.algolia-search-modal .view-all-results {
  margin-left: 4rem;
  text-decoration: none;
  padding-block: 1rem;
}

.algolia-search-modal .view-all-results:hover {
  text-decoration: underline;
}

.algolia-search-main-nav .view-all {
  margin-left: 0;
  padding: 1rem 0 1rem 0;
  border-bottom: none;
  background: var(--color-primary-white);
}

.algolia-search-main-nav .ais-Hits--empty {
  min-height: 4rem;
  font-size: 2rem;
  padding-left: 4rem;
  background: var(--color-primary-white);
  font-weight: 600;
  padding-block: 1rem;
  transform: translateY(-1rem);
}

#main-nav-search-results:has(.ais-Hits--empty) + .view-all {
  display: none;
}


@media screen and (max-width: 1050px) {
  .algolia-search-main-nav-wrapper {
    display: grid;
  }
  .menu-btn.mobile-menu {
    transform: translateX(-4rem);
  }
  .main-nav-results-body .ais-Hits-list,
  .algolia-search-main-nav .ais-SearchBox-form{
    padding-inline: 4rem;
  }
  .algolia-search-main-nav .ais-SearchBox-submit {
    left: 5.3rem;
  }
  .algolia-search-main-nav .ais-SearchBox-reset {
    right: 6.3rem;
  }

  .algolia-search-icon {
    right: -4rem;
  }

  .algolia-search-modal .view-all {
    padding: 0 4rem 0 4rem;
    background: none;
  }
  .algolia-search-modal .view-all h3 {
    background: var(--color-primary-white);
    padding: 1rem 0 1rem 0;
  }

}


@media screen and (max-width: 500px) {
  .menu-btn.mobile-menu {
    transform: translateX(-5rem);
  }

  .algolia-search-icon {
    right: -2rem;
  }
}

